package com.example.wholeestate.controller;


import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.service.IActivityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 活动表 前端控制器
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@RestController
@RequestMapping("/")
@Api(value = "活动 API", description = "活动 API")
public class ActivityController extends BaseController {

    @Autowired
    private IActivityService iActivityService;

    @RequestMapping(value = "/activity/list", method = RequestMethod.POST)
    @ApiOperation(value = "活动列表", notes = "活动列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body", dataTypeClass = String.class, name = "parameter", value = "pageNum第几页;pageSize一页多少行")
    })
    public ResponseBean getList(@RequestBody String parameter) {
        ResponseBean responseBean = new ResponseBean();
        responseBean = iActivityService.getList(parameter);
        return responseBean;
    }

}
